Can't open [[Image:Foo.png]] directly
Closed, ResolvedPublic

Description

Author: pkchan+bug=mediawiki

Description:
Symptom:
Upon clicking a link to [[Image:Foo.png]], the browser gives the following php
error message:

Fatal error: Call to a member function on a non-object in
/var/srv/www/investor-wiki/includes/ImagePage.php on line 182


Version: 1.5.x
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz3643.
bzimport created this task.Via LegacyOct 7 2005, 3:05 PM
bzimport added a comment.Via ConduitOct 7 2005, 3:07 PM

pkchan+bug=mediawiki wrote:

Patch of includes/ImagePage.php for fixing this bug.

The problem is found to be caused by an apparent syntax error in
includes/ImagePage.php . This patch attempts to patch that syntax error.

Attached: ImagePage.php.diff.txt

brion added a comment.Via ConduitOct 7 2005, 9:37 PM

Seems to trigger if $wgResizeImages is off.

brion added a comment.Via ConduitOct 7 2005, 9:44 PM

Fix applied to REL1_5 and HEAD, will be included in 1.5.1.

brion added a comment.Via ConduitOct 19 2005, 12:08 AM
  • Bug 3740 has been marked as a duplicate of this bug. ***
Gilles added a project: Multimedia.Via WebDec 4 2014, 10:45 AM
Gilles moved this task to Closed on the Multimedia workboard.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.